<div>
  <div
    class="eui-u-display-flex eui-u-flex-row eui-u-flex-align-items-start eui-u-flex-justify-content-between">
    <!--  Applied search filters  -->
    <div class="eui-u-display-block">
      <div class="eui-u-flex eui-u-pb-none">
        <h2 class="sr-table-title">{{ 'app.features.sr.assetsList.results' | translate }}</h2>
        @if (!!count) {
          <eui-chip euiAccent [isFilled]="true" d class="eui-u-ml-xs">
            <span euiLabel class="eui-u-f-bold">{{ count }}</span>
          </eui-chip>
        }
      </div>
    </div>

    <!--  Table buttons  -->
    <div class="eui-u-display-block">
      <div class="eui-u-display-flex eui-u-flex-row eui-u-flex-justify-content-end">
        <!--  Columns filters  -->
        <div>
          <app-dropdown
            id="show-hide-columns-button"
            [config]="dropdownConfig"
            [translations]="dropdownTranslations"
            [dropdownData]="_dropdownData"
            (selectionChanged)="onColumnSelectionChange($event)">
          </app-dropdown>
        </div>
        <!--  Download All results  -->
        <div>
          <button (click)="onDownloadButtonClick()" class="eui-u-ml-s" euiButton euiBranding>
            <eui-icon-svg class="eui-u-mr-2xs" icon="download" set="outline" size="s"
            fillColor="grey-100"></eui-icon-svg>
            {{ 'app.features.sr.assetsList.tableHeader.downloadAllResults.buttonLabel' | translate }}
          </button>
        </div>
      </div>
    </div>
  </div>
  @if (chipsList$ | async; as  chipsList) {
    <div class="eui-u-mb-l">
      @if (chipsList?.length) {
        <div
          class="eui-u-display-flex eui-u-flex-row eui-u-flex-align-items-start eui-u-pr-m">
          <div class="eui-u-display-inline">
            <p
            class="eui-u-m-none eui-u-pt-2xs eui-u-text-no-wrap eui-u-mr-xs">{{ 'app.features.sr.assetsList.tableHeader.appliedFilters' | translate }}</p>
          </div>
          <div>
            @for (chip of chipsList | sort:'id'; track chip) {
              <eui-chip
                class="eui-u-mr-xs eui-u-mb-xs"
                [euiPrimary]="true"
                [euiOutline]="true"
                [isChipRemovable]="true"
                (remove)="onChipRemove(chip)"
                ><span euiLabel><span
              class="eui-u-f-bold eui-u-mr-2xs">{{ ('app.features.sr.assetsList.tableHeader.chipsPrefix.' + chip?.id.split("-")[1]) | translate }}</span> <span
            euiTooltip="{{chip?.label?.length > 40 ? chip?.label : null}}">{{ chip?.label | euiTruncate:40 }}</span></span>
          </eui-chip>
        }
        <eui-chip class="sr-bg-color-branding" [isFilled]="true" euiPrimary [isChipRemovable]="true"
          (remove)="onChipRemoveAll()">
          <span euiLabel>{{ 'app.features.sr.assetsList.tableHeader.clearAll' | translate }}</span>
        </eui-chip>
      </div>
    </div>
  }
</div>
}
</div>

<app-download-popup
  #popup
  sessionKey="assetListDontShowAgain"
  [translations]="popupTranslations"
  (downloadClicked)="onFinalDownloadClicked()">
</app-download-popup>
